Skip to main content
`Ctrl`+`K`
scipy.sparse.coo_array.

# toarray

coo_array.toarray(order=None, out=None)

  Return a dense ndarray representation of this sparse array/matrix.

  Parameters:
    order{‘C’, ‘F’}, optional

      Whether to store multidimensional data in C (row-major) or Fortran (column-major) order in memory. The default is ‘None’, which provides no ordering guarantees. Cannot be specified in conjunction with the out argument.

    out ndarray, 2-D, optional

      If specified, uses this array as the output buffer instead of allocating a new array to return. The provided array must have the same shape and dtype as the sparse array/matrix on which you are calling the method. For most sparse types, out is required to be memory contiguous (either C or Fortran ordered).

  Returns:
    arr ndarray, 2-D

      An array with the same shape and containing the same data represented by the sparse array/matrix, with the requested memory order. If out was passed, the same object is returned after being modified in-place to contain the appropriate values.